
TYPO3.TYPO3CR - Feature # 2537

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Import/Export
Created: 2009-01-30 Assigned To: Karsten Dambekalns
Updated: 2011-05-05 Due date:
Subject: Basic support for XML export
Description

.

Related issues:
related to TYPO3.TYPO3CR - Feature # 3672: Allow export of invalid item names... Closed 2009-06-15
related to TYPO3.TYPO3CR - Feature # 3671: Multivalued properties can be expo... Closed 2009-06-15
blocks TYPO3.TYPO3CR - Task # 3456: Refactor internal CR representation of ob... Closed 2009-05-25

Associated revisions
Revision 70a195da - 2009-01-30 22:47 - Karsten Dambekalns
TYPO3CR:
    -  started implementing export to XML in system view, refs #2537
    -  fixed use of closure using $this in Node

Revision 682c3e0d - 2009-02-03 17:39 - Karsten Dambekalns
TYPO3CR:
    -  implemented export to XML in document view, refs #2537
    -  export can be called from the CR admin (use context menu in node tree)

Revision e5ea9c9a - 2009-06-15 14:30 - Karsten Dambekalns

[FEAT+] TYPO3CR (Import/Export): jcr:xmltext structures are now exported in document view as required by JSR-283, refs #2537

History
#1 - 2009-02-04 22:14 - Karsten Dambekalns
- Subject changed from Basic support for system view XML export to Basic support for XML export

#2 - 2009-02-12 12:49 - Karsten Dambekalns
- % Done changed from 0 to 50

Missing in document view: escaping of illegal names for XML tags (e.g. "flow3:0" needs to be escaped to "flow3:_x0030_"

#3 - 2009-06-15 14:39 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 50 to 100

The remaining (optional) issues are handled with separate tickets now.

2015-08-03 1/2



#4 - 2011-05-05 17:12 - Robert Lemke
- Target version deleted (197)
